ECHO OFF
CLS
IF NOT EXIST C:\*.* GOTO ERROR1
ECHO 
ECHO 
ECHO 
ECHO             ******************************************************
ECHO             *                                                    *
ECHO             *                                                    *
ECHO             *               HARD DISK INSTALLATION               *
ECHO             *                                                    *
ECHO             *                                                    *
ECHO             ******************************************************
ECHO 
ECHO 
ECHO                             RADIO SERVICE SOFTWARE
ECHO                                    for the
ECHO                                MaxTrac Mobile
ECHO 
ECHO               VERSION  R5.01.00                       28-JUN-89
ECHO 
ECHO      (C) Copyright MOTOROLA Inc. 1987, 1988, 1989.   All Rights Reserved.
ECHO 
PAUSE
CLS
ECHO 
ECHO RADIO SERVICE SOFTWARE HARD DISK INSTALLATION PROCEDURE
ECHO 
ECHO 
ECHO The following SUB DIRECTORIES will be created on your system:
ECHO 
ECHO 
ECHO     C:\MRSS
ECHO     C:\MRSS\MAXTRAC
ECHO     C:\MRSS\MAXTRAC\ARCHIVE
ECHO 
ECHO 
ECHO A BATCH file, MAXTRAC.BAT, will be put in your root directory
ECHO to Start the program.
ECHO 
ECHO 
ECHO 
ECHO At Any Time, To ABORT The Installation Procedure
ECHO 
ECHO     Press CTRL C (Control C) and Answer Y
ECHO 
ECHO 
ECHO 
PAUSE
CLS
ECHO 
ECHO RADIO SERVICE SOFTWARE HARD DISK INSTALLATION PROCEDURE
IF EXIST \MOBILE1.OVL  GOTO CREATE
ECHO 
ECHO 
ECHO Insert the MAXTRAC PROGRAM  disk 2 in drive A:
ECHO 
ECHO 
ECHO 
PAUSE
CLS
IF EXIST \MOBILE1.OVL  GOTO CREATE
ECHO 
ECHO *** PROGRAM DISK 2 NOT FOUND ***
ECHO 
ECHO Place the MAXTRAC PROGRAM disk 2 in disk drive A:
ECHO 
ECHO 
PAUSE
IF NOT EXIST \MAXTRAC.EXE  GOTO ERROR2

:CREATE
IF NOT EXIST C:\MRSS\MAXTRAC\ARCHIVE\* GOTO CREATE1
ECHO 
ECHO 
ECHO     Sub-Directories Already Exist
ECHO 
GOTO INSTALL

:CREATE1
ECHO     Creating Sub-Directories On Your Hard Disk
ECHO 
IF EXIST C:\MRSS\* GOTO FLAG1
MD C:\MRSS
ECHO     Sub-Directory \MRSS Created
ECHO 
GOTO CREATE2

:FLAG1
ECHO     Sub-Directory \MRSS Already Exists.
ECHO
GOTO CREATE2

:CREATE2
IF EXIST C:\MRSS\MAXTRAC\* GOTO FLAG2
MD C:\MRSS\MAXTRAC
ECHO     Sub-Directory \MRSS\MAXTRAC Created
ECHO 
GOTO CREATE3

:FLAG2
ECHO     Sub-Directory \MRSS\MAXTRAC Already Exists!
GOTO CREATE3

:CREATE3
IF EXIST C:\MRSS\MAXTRAC\ARCHIVE\* GOTO FLAG3
MD C:\MRSS\MAXTRAC\ARCHIVE
ECHO     Sub-Directory \MRSS\MAXTRAC\ARCHIVE Created
ECHO 
GOTO INSTALL

:FLAG3
ECHO     Sub-Directory \MRSS\MAXTRAC\ARCHIVE Already Exists!!
ECHO
GOTO INSTALL

:INSTALL
IF NOT EXIST \MOBILE1.OVL  GOTO ERROR2
ECHO 
ECHO     Copying Overlay and Utility Files To the Hard Disk.
ECHO 
ECHO 
COPY \MOBILE1.OVL  C:\MRSS\MAXTRAC >NUL
COPY \MOBILE2.OVL  C:\MRSS\MAXTRAC >NUL
COPY \MOBILE3.OVL  C:\MRSS\MAXTRAC >NUL
COPY \MOBILE4.OVL  C:\MRSS\MAXTRAC >NUL
COPY \MOBILE5.OVL  C:\MRSS\MAXTRAC >NUL
COPY \MOBILE6.OVL  C:\MRSS\MAXTRAC >NUL
COPY \MOBILE7.OVL  C:\MRSS\MAXTRAC >NUL

COPY \MAXTRAC.MDF  C:\MRSS\MAXTRAC >NUL
COPY \MAXTRAC.HLP  C:\MRSS\MAXTRAC >NUL

COPY \MAXTRAC.TAB  C:\MAXTRAC.BAT >NULL

COPY \MAXTRAC._HD  C:\MRSS\MAXTRAC\MAXTRAC.CFG >NULL
CLS
IF EXIST \MAXTRAC.EXE GOTO LDEXE
ECHO 
ECHO 
ECHO 
PAUSE
CLS
IF EXIST \MAXTRAC.EXE GOTO LDEXE
ECHO Place the MAXTRAC PROGRAM disk 1 in disk drive A:
ECHO 
ECHO 
PAUSE
IF NOT EXIST \MAXTRAC.EXE  GOTO ERROR2

:LDEXE
CLS
ECHO 
ECHO     Copying Main Program Files To the Hard Disk.
ECHO 
COPY \MAXTRAC.EXE  C:\MRSS\MAXTRAC >NUL
ECHO 
ECHO 
IF NOT EXIST C:\MRSS\MAXTRAC\MAXTRAC.EXE  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE1.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE2.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE3.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE4.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE5.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE6.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MOBILE7.OVL  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MAXTRAC.MDF  GOTO ERROR3
IF NOT EXIST C:\MRSS\MAXTRAC\MAXTRAC.HLP  GOTO ERROR3
IF NOT EXIST C:\MAXTRAC.BAT  GOTO ERROR3
ECHO HARD DISK INSTALLATION PROCEDURE SUCCESSFULLY COMPLETED
ECHO 
ECHO 
ECHO To Start The Program:
ECHO 
ECHO     Type C:\MAXTRAC
ECHO 
ECHO 
GOTO END

:ERROR1
CLS
ECHO HARD DISK INSTALLATION PROCEDURE TERMINATED
ECHO 
ECHO 
ECHO ERROR:  HARD DISK DRIVE C: NOT FOUND
ECHO 
ECHO 
ECHO Note: If You Are Using Another DRIVE For Your Hard Disk,
ECHO 
ECHO       Modify HDINSTAL.BAT to Reflect That Drive.
ECHO 
ECHO       Replace references to C: with <your hard drive letter>:
ECHO 
ECHO 
GOTO END

:ERROR2
CLS
ECHO HARD DISK INSTALLATION PROCEDURE TERMINATED
ECHO 
ECHO 
ECHO ERROR:  DISK NOT FOUND
ECHO 
ECHO 

:ERROR3
CLS
ECHO HARD DISK INSTALLATION PROCEDURE TERMINATED
ECHO 
ECHO 
ECHO ERROR:  NOT ALL FILES HAVE BEEN COPIED
ECHO        HARD DISK MAY BE FULL
ECHO 

:END
ECHO ON
